package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcBrandPaymentMapper;
import com.ruoyi.oa.domain.CmcBrandPayment;
import com.ruoyi.oa.service.ICmcBrandPaymentService;

/**
 * cmc品牌项目支付记录Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-29
 */
@Service
public class CmcBrandPaymentServiceImpl implements ICmcBrandPaymentService 
{
    @Autowired
    private CmcBrandPaymentMapper cmcBrandPaymentMapper;

    /**
     * 查询cmc品牌项目支付记录
     * 
     * @param brandId cmc品牌项目支付记录主键
     * @return cmc品牌项目支付记录
     */
    @Override
    public List<CmcBrandPayment> selectCmcBrandPaymentByBrandId(String brandId)
    {
        return cmcBrandPaymentMapper.selectCmcBrandPaymentByBrandId(brandId);
    }

    /**
     * 查询cmc品牌项目支付记录列表
     * 
     * @param cmcBrandPayment cmc品牌项目支付记录
     * @return cmc品牌项目支付记录
     */
    @Override
    public List<CmcBrandPayment> selectCmcBrandPaymentList(CmcBrandPayment cmcBrandPayment)
    {
        return cmcBrandPaymentMapper.selectCmcBrandPaymentList(cmcBrandPayment);
    }

    /**
     * 新增cmc品牌项目支付记录
     * 
     * @param cmcBrandPayment cmc品牌项目支付记录
     * @return 结果
     */
    @Override
    public int insertCmcBrandPayment(CmcBrandPayment cmcBrandPayment)
    {
        return cmcBrandPaymentMapper.insertCmcBrandPayment(cmcBrandPayment);
    }

    /**
     * 修改cmc品牌项目支付记录
     * 
     * @param cmcBrandPayment cmc品牌项目支付记录
     * @return 结果
     */
    @Override
    public int updateCmcBrandPayment(CmcBrandPayment cmcBrandPayment)
    {
        return cmcBrandPaymentMapper.updateCmcBrandPayment(cmcBrandPayment);
    }

    /**
     * 批量删除cmc品牌项目支付记录
     * 
     * @param brandIds 需要删除的cmc品牌项目支付记录主键
     * @return 结果
     */
    @Override
    public int deleteCmcBrandPaymentByBrandIds(String[] brandIds)
    {
        return cmcBrandPaymentMapper.deleteCmcBrandPaymentByBrandIds(brandIds);
    }

    /**
     * 删除cmc品牌项目支付记录信息
     * 
     * @param brandId cmc品牌项目支付记录主键
     * @return 结果
     */
    @Override
    public int deleteCmcBrandPaymentByBrandId(String brandId)
    {
        return cmcBrandPaymentMapper.deleteCmcBrandPaymentByBrandId(brandId);
    }
}
